/*
 * DataRequest.h
 *
 *  Created on: 26-Jan-2009
 *      Author: spoon
 */

#ifndef DATAREQUEST_H_
#define DATAREQUEST_H_

#include "matrix.h"

class WorkRequest {
public:
    enum REQUESTS {TRAIN, TEST, SYNC, RUN};
protected:
    WorkRequest::REQUESTS reqType;
    Matrix* hData;
public:
    WorkRequest(WorkRequest::REQUESTS reqType, Matrix* hData);
    WorkRequest(WorkRequest::REQUESTS reqType);

    inline WorkRequest::REQUESTS getRequestType() const {
        return reqType;
    }

    inline Matrix* getHData() const {
        return hData;
    }

    virtual ~WorkRequest();
};

#endif /* DATAREQUEST_H_ */
